Package org.apache.sysds.runtime.util

# Class CounterBasedPRNGenerator

java.lang.Object
org.apache.sysds.runtime.util.CounterBasedPRNGenerator

All Implemented Interfaces:
  `IPRNGenerator`

Direct Known Subclasses:
  `PhiloxNormalCBPRNGenerator`, `PhiloxUniformCBPRNGenerator`

public abstract class CounterBasedPRNGenerator extends Object implements IPRNGenerator

## Constructor Summary

Constructors
Constructor
Description
`CounterBasedPRNGenerator()`

## Method Summary

Modifier and Type
Method
Description
`abstract double[]`
`getDoubles(long[] ctr, int size)`
`abstract void`
`setSeed(long sd)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CounterBasedPRNGenerator

public CounterBasedPRNGenerator()

## Method Details

### setSeed

public abstract void setSeed(long sd)

Specified by:
  `setSeed` in interface `IPRNGenerator`

### getDoubles

public abstract double[] getDoubles(long[] ctr, int size)